<?php
//The archive template file.
 ?>

<?php get_header(); ?>
<div id="contentwrap">

<div id="maincontent">
<div id="article">

	<?php if(is_category()) { ?>
		<h1 class="archivetitle"><?php single_cat_title(); ?></h1>
	<?php } else if(is_month()) { ?>
		<h1 class="archivetitle"><?php the_time('F Y'); ?></h1>
	<?php } else if(is_year()) { ?>
		<h1 class="archivetitle"><?php the_time('Y'); ?></h1>
	<?php } else if(is_tag()) { ?>
		<h1 class="archivetitle"><?php single_tag_title(); ?></h1>
	<?php } ?>
	


	<?php if(have_posts()) : ?>
	<?php while(have_posts()) : the_post(); ?>
	<div id="miniarticle">

		<div id="archivethumb">
		<?php if(has_post_thumbnail()){ ?>
			<a href="<?php the_permalink(); ?>" id="thumbnailimg" ><?php the_post_thumbnail(); ?></a>
		<?php } else{ ?>
			<a href="<?php the_permalink(); ?>" id="thumbnailimg" ><img src="<?php echo get_template_directory_uri(); ?>/images/icon_thumbnail.png"></a>
		<?php  } ?>
		</div><!-- #archivethumb-->


		<div id="archivetext">
			<h4 class="minititle">
			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h4>

			<p class="details"><?php the_time('j.n.Y'); ?> | <?php the_time('H:i'); ?> | <a href="<?php the_permalink(); ?>"><?php _e("Читать далее", "nature-light"); ?></a></p>

			<p class="excerpt"><?php the_excerpt(); ?></p>	
		</div><!-- #archivetext-->

	<div class="spacer"></div>
	</div><!--#miniarticle-->
	<?php endwhile; ?>
</div><!--#article-->

	<div id="pagination">
		<p class="older"><?php next_posts_link(__('&laquo; Предыдущие записи', "nature-light")); ?></p>
		<p class="newer"><?php previous_posts_link(__('Следующие записи &raquo;', "nature-light")); ?></p>
		<div class="spacer"></div>
	</div><!--#pagination-->

	<?php else : ?>
	<div id="article">
		<h2 class="articletitle"><?php _e("Ничего не было найдено", "nature-light"); ?></h2>
		<p><?php _e("Извините, но по Вашему запросу ничего не было найдено.", "nature-light"); ?></p>
		<p><a href="<?php echo home_url(); ?>"><?php _e("Вернуться на главную", "nature-light"); ?></a></p>
		<div class="spacer"></div>
	</div><!--#article-->


	<?php endif; ?>
</div><!--#maincontent-->
<?php get_sidebar(); ?>
<div class="spacer"></div>
</div><!--#contentwrap-->

<?php get_footer(); ?>