<?php
//The main template file.
?>

<?php get_header(); ?>
<div id="contentwrap">

<div id="maincontent">
	<?php if(have_posts()) : ?>
	<?php while(have_posts()) : the_post(); ?>

	<div id="article" <?php post_class(); ?>>

	<?php if(has_post_thumbnail()){ ?>
		<?php
		$url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
		if(nature_light_is_portrait($url)){ ?>
			<div id="shortthumb">
			<?php echo get_the_post_thumbnail(); ?>
			</div><!--#shortthumb-->
		<?php } else { ?>
			<div id="longthumb">
			<?php echo get_the_post_thumbnail(); ?>
			</div><!--#longthumb-->
		<?php } ?>
	<?php } else{ } ?>

		<h2 class="articletitle"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<p class="time"><?php the_time('j.n.Y'); ?> | <?php the_time('H:i'); ?>
		<?php if (!get_the_title()) { ?> | <a href="<?php the_permalink(); ?>"><?php _e("Читать далее", "nature-light"); ?></a><?php } else{ }?>
		<?php edit_post_link(__("Редактировать", "nature-light"), '| ', ' '); ?></p>

		<div id="articlecontent">
		<?php the_content(); ?>
		<?php wp_link_pages(); ?>
		</div><!--#articlecontent-->
		<div class="spacer"></div>

		<div id="articledetails">
			<p class="details"><?php if(has_category()) { ?>
			<img src="<?php echo get_template_directory_uri(); ?>/images/icon_category.png" id="detailspic"/>
			<?php the_category(', '); }
			else { } ?></p>

			<p class="details"><?php if(has_tag()) { ?>
			<img src="<?php echo get_template_directory_uri(); ?>/images/icon_keyword.png" id="detailspic"/>
			<?php the_tags(' ', ', ', ' '); }
			else { } ?></p>

			<p class="details"><?php if (comments_open()) { ?>
			<img src="<?php echo get_template_directory_uri(); ?>/images/icon_comment.png" id="detailspic"/>
			<?php comments_popup_link(__('Комментариев нет', "nature-light"), __('1 комментарий', "nature-light"), __('% комментариев', "nature-light")); ?>
			
			<?php } else { ?>
			<img src="<?php echo get_template_directory_uri(); ?>/images/icon_comment.png" id="detailspic"/>
			<?php _e("Комментарии закрыты", "nature-light"); ?>
			<?php } ?></p>
		</div><!--#articledetails-->
	</div><!--#article-->
	
	<?php endwhile; ?>

	<div id="pagination">
		<p class="older"><?php next_posts_link(__('&laquo; Предыдущие записи', "nature-light")); ?></p>
		<p class="newer"><?php previous_posts_link(__('Следующие записи &raquo;', "nature-light")); ?></p>
		<div class="spacer"></div>
	</div><!--#pagination-->

	<?php else : ?>
	<div id="article">
		<h2 class="articletitle"><?php _e("Ничего не найдено", "nature-light"); ?></h2>
		<p><?php _e("Извините, но по Вашему запросу ничего не было найдено.", "nature-light"); ?></p>
		<p><a href="<?php echo home_url(); ?>"><?php _e("Вернуться на главную", "nature-light"); ?></a></p>
		<div class="spacer"></div>
	</div><!--#article-->


	<?php endif; ?>
</div><!--#maincontent-->
<?php get_sidebar(); ?>
<div class="spacer"></div>
</div><!--#contentwrap-->

<?php get_footer(); ?>