<?php
//Do net delete these lines. These are used to check if someone is trying to load comments.php itself or view password protected posts
	if(!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die(__('Please do not load this page directly. Thanks!', "nature-light"));

	if(post_password_required()){ ?>
		<p><?php _e("Запись защищена паролем. Для просмотра комментариев введите пароль.", "nature-light"); ?></p>
	<?php
		return;
	}
?>


<?php if (comments_open()) { ?>
	<div id="comments">
	<h3><?php comments_number(__('Комментариев нет', "nature-light"), __('1 комментарий', "nature-light"), __('% комментариев', "nature-light")); ?></h3>
	
	<?php if(have_comments()): ?>

		<div id="commentpagination">
			<p class="older"><?php previous_comments_link(); ?></p>
			<p class="newer"><?php next_comments_link(); ?></p>
			<div class="spacer"></div>
		</div><!--#commentpagination-->

		<ol class="commentlist">
			<?php wp_list_comments(array('callback' => 'nature_light_custom_comment')); ?>
		</ol><!--.commentlist-->

		<div id="commentpagination">
			<p class="older"><?php previous_comments_link(); ?></p>
			<p class="newer"><?php next_comments_link(); ?></p>
			<div class="spacer"></div>
		</div><!--#commentpagination-->

	<?php endif; ?><!--have_comments()-->

	<div id="respond">

		<?php $comments_args = array(
        		//redefine your own textarea (the comment body)
        		'comment_field' => '<p class="comment-form-comment"><label for="comment">' . __('Comment', "nature-light") . '</label><br /><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
			//redefine default inputs
			'fields' => apply_filters( 'comment_form_default_fields', array(

    			'author' =>
      			'<p class="comment-form-author">' .
      			'<label for="author">' . __('Имя', "nature-light") . '</label>' .
      			( $req ? '<span class="required">*</span><br/>' : '' ) .
      			'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
      			'"size="30"/></p>',

    			'email' =>
      			'<p class="comment-form-email"><label for="email">' . __('Email', "nature-light") . '</label>' .
      			( $req ? '<span class="required">*</span><br/>' : '' ) .
      			'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
      			'" size="30"/></p>',

    			'url' =>
      			'<p class="comment-form-url"><label for="url">' .
      			__('Вебсайт', "nature-light") . '</label><br/>' .
      			'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
      			'" size="30" /></p>'
    			)
  			),
		);

		comment_form($comments_args); ?>
	</div><!--#respond-->


<?php } else { ?>
	<?php if (!is_page()) { ?>
		<div id="comments">
		<h3><?php _e("Комментарии закрыты", "nature-light"); ?></h3>
	<?php } else{ } ?>
<?php } ?>

</div><!--#comments-->